#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF1,0x82,0x10,0x36,0x38,0xA2,0x30,0x94,0x0C,0x21,0xC7,0x02,
		0x5D,0x5F,0xF4,0x5B,0xD5,0xF0,0x83,0x71,0x74,0x80,0xE2,0x37,
		0x9D,0x61,0x68,0x25,0x2E,0xE6,0x3D,0xC0,0x03,0xCB,0x75,0xB3,
		0xB9,0xB5,0xE6,0xAC,0xDD,0xA3,0x4B,0xA9,0x7C,0xF7,0x79,0x44,
		0x5C,0xE6,0x1F,0x02,0x90,0x5F,0x37,0xE1,0x7E,0xFD,0x17,0x2F,
		0x1E,0x36,0xAA,0xB7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
